###Speakers
define h = Character('Heroine', image="Heroine", color="#c8ffc8")
define c = Character('Moe Cyclops', image="Cyclops", color="#c8ffc8")

###Variables
init python:
    heroineHP = 10
    cyclopsHP =10
    heroined = "no"
    cyclopsd = "no"

###Images
init python hide:
    for file in renpy.list_files():
        if file.startswith('Sprites/'):
            if file.endswith('.png'):
                name = file.replace('Sprites/','').replace('/', ' ').replace('.png','')
                renpy.image(name, Image(file))
                continue
            continue
    for file in renpy.list_files():
        if file.startswith('BG/'):
            if file.endswith('.png'):
                name = file.replace('BG/','').replace('/', ' ').replace('.png','')
                renpy.image(name, Image(file))
                continue
            continue
image logo = At("BG/logo.png", hoverlogo)
init -2 python:
    
    ##nosoapradio.us
    MAIN = "Audio/DST-Arch-Delerium.mp3"
    
    ##Heroine by Rin-chan
    HAttack = "Audio/SFX Heroine Attack.wav"
    HCrit = "Audio/SFX Heroine Crit.wav"
    HHit = "Audio/SFX Heroine Hit.wav"
    HDodge = "Audio/SFX Heroine Dodge.wav"
    HWin = "Audio/SFX Heroine Win.wav"
    ##Cyclops by Rin-chan
    CAttack = "Audio/SFX Cyclops Attack.wav"
    CCrit = "Audio/SFX Cyclops Crit.wav"
    CHit = "Audio/SFX Cyclops Hit.wav"
    CDodge = "Audio/SFX Cyclops Dodge.wav"
    
init:
    transform hoverlogo:
        subpixel True
        xpos 115 ypos -300
        parallel:
            linear 0.5 ypos -240
            linear 0.5 ypos -300
        parallel:
            linear 0.5 rotate -5
            linear 0.5 rotate 5
            linear 0.5 rotate -5
        repeat
    
    transform leftcrit:
        xpos -1200 yalign 0.7 #Middle is xpos 115
        linear 0.2 xpos 100
        linear 1.0 xpos 130
        linear 0.2 xpos 1300
    transform leftattack:
        xpos 0.01 ypos 0.2
        linear 0.1 xpos 0.1
        linear 0.1 xpos 0.01
    transform lefthit:
        xpos 0.01 ypos 0.2
        linear 0.2 xpos 0.005
        linear 0.2 xpos 0.01
    transform leftbob:
        xpos 0.01 ypos 0.2
        linear 0.2 ypos 0.3
        linear 0.2 ypos 0.2
    
    transform rightcrit:
        xpos 1300 yalign 0.7 #Middle is xpos 115
        linear 0.2 xpos 130
        linear 1.0 xpos 100
        linear 0.2 xpos -1200
    transform rightattack:
        xpos 0.3 ypos 0.03
        linear 0.1 xpos 0.29
        linear 0.1 xpos 0.3
    transform righthit:
        xpos 0.3 ypos 0.03
        linear 0.2 xpos 0.31
        linear 0.2 xpos 0.3
    transform rightbob:
        xpos 0.3 ypos 0.03
        linear 0.2 ypos 0.1
        linear 0.2 ypos 0.03
        
    transform shake:
        xalign 0.00 yalign 0.0
        parallel:
            linear 0.1 xpos -30
            linear 0.2 xpos 30
            linear 0.2 xpos -30
            linear 0.2 xpos 20
            linear 0.1 xpos 0
        parallel:
            linear 0.05 ypos 5
            linear 0.1 ypos -8
            linear 0.1 ypos 5
            linear 0.1 ypos -5
            linear 0.1 ypos 5
            linear 0.1 ypos -5
            linear 0.1 ypos 5
            linear 0.1 ypos -5
            linear 0.1 ypos 5
            linear 0.05 ypos 0
            
    
            
    
    #Positions
    
    $ midleft = Position(xpos=0.01,
        xanchor=0,
        ypos=0.2,
        yanchor=0)
    $ midright = Position(xpos=0.3,
        xanchor=0,
        ypos=0.03,
        yanchor=0)