﻿#If you want to patch/build upon this game, start replacing names.
# The game starts here.
label start:
    #Here's pre-battle dialogue
    scene battleground
    show Heroine Wait at midright with easeinright
    h "Hm, I can't seem to find my way out of these woods."
    h Win "Well, it's not a problem for me! I like it here!"
    show Cyclops Wait at midleft with easeinleft
    c "Hello traveller, are you lost?"
    h Fight "Ew, get away from me!"
    c Defend "H-hey, that's not nice!"
    "Moe Cyclops attacked!"
    
    #This is the battle system
    label battle1loop:
        #These are the variables that determine the actions.
        $ heroinea = renpy.random.choice(('good','meh', 'bad'))
        $ heroined = "no"
        
        $ cyclopsmove = renpy.random.choice(('attack','defend'))
        $ cyclopsa = renpy.random.choice(('good','meh', 'bad'))
    
    show Heroine Wait with dissolve
    
    menu:
        "What will you do?"
        "Attack":
            show Heroine Fight
            if heroinea == "good":
                voice HCrit
                show HeroineCritical at rightcrit
                $ renpy.pause(1.2)
                voice HAttack
                show Heroine Fight at rightattack
                if cyclopsd == "no":
                    show Cyclops Hit at lefthit
                    "Heroine did an uppercut! Landed a critical!"
                    $ cyclopsHP -= 2
                if cyclopsd == "yes":
                    show Cyclops Defend at leftbob
                    "Moe Cyclops dodged the attack!"
            if heroinea == "meh":
                voice HAttack
                show Heroine Fight at rightattack
                if cyclopsd == "no":
                    show Cyclops Hit at lefthit
                    "Heroine launched a punch."
                    $ cyclopsHP -= 1
                if cyclopsd == "yes":
                    show Cyclops Defend at leftbob
                    "Moe Cyclops skipped out of the way!"
            if heroinea == "bad":
                voice CDodge
                show Cyclops Win at leftbob
                "Heroine completely missed!"
            show Heroine Wait with dissolve
        "Defend":
            show Heroine Defend with dissolve
            $ heroined = renpy.random.choice(('yes', 'no'))
            "Heroine set up a magical barrier."
    while cyclopsHP>0:
        "Moe Cyclops's HP is [cyclopsHP]."
        $ cyclopsd = "no"
        show Cyclops Wait with dissolve
        "It's Moe Cyclops's turn!"
        if cyclopsmove == "attack":
            show Cyclops Fight
            if cyclopsa == "good":
                voice CCrit
                show CyclopsCritical at leftcrit
                $ renpy.pause(1.2)
                voice CAttack
                show Cyclops Fight at leftattack
                if heroined == "yes":
                    show Heroine Defend at rightbob
                    "Heroine's barrier deflected the lasers!"
                if heroined == "no":
                    show Heroine Hit at righthit
                    "Moe Cyclops shot a harsh laser!"
                    $ heroineHP -= 2
            if cyclopsa == "meh":
                voice CAttack
                show Cyclops Fight at leftattack
                if heroined == "yes":
                    show Heroine Defend at rightbob
                    "Heroine barrier absorbed the laser."
                if heroined == "no":
                    show Heroine Hit at righthit
                    "Moe Cyclops aimed a laser at Heroine."
                    $ heroineHP -= 1
            if cyclopsa == "bad":
                voice HDodge
                show Heroine Win at rightbob
                "Moe Cyclops completely missed!"
            show Cyclops Wait with dissolve
        if cyclopsmove == "defend":
            show Cyclops Defend with dissolve
            $ cyclopsd = "yes"
            "Moe Cyclops prepared herself."
        while cyclopsHP>0:
            "Heroine's HP is [heroineHP]."
            if heroineHP <1:
                #Heroine loses
                c Win "Next time, don't call me ugly!"
                jump end
            
            else:
                #Battle continues
                $ heroined = "no"
                jump battle1loop
        
    #Heroine wins, post-battle dialogue
    show Heroine Win with dissolve
    voice HWin
    h "How do you like that?"
    show Cyclops Hit at leftbob
    c "Waaah, I broke a nail!"
    h Wait "So um, so what were you saying?"
    c Defend "I know a way out of the forest, but you hurt me so I'm not going to tell you anything!"
    h Hit "Oh, sorry! You just surprised me so I-"
    h Win "If I get you a pet dragon will you show me the way out?"
    c Win "A pet dragon, really? Okay!"
    label end:
        pass
    scene black with fade
    return
